Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Query Parameters

securityCode
string

The security code

domain
string

The G Suite domain

Response

200 - application/json

A ApiUser response

aliases
string[]

Email aliases of the user

availableDomains
string[]

The user available domains

availableStorageServices
enum<string>[]

Attachment storage services available for library creation.

Available options:
GOOGLE_DRIVE,
AODOCS_MANAGED_CLOUD,
GOOGLE_CLOUD_STORAGE,
AZURE_BLOB_STORAGE,
AMAZON_S3,
SHAREPOINT_EMBEDDED
canAccessDrive
boolean

Whether this user can access Drive

canCreateLibraries
boolean

Whether this user can creates libraries within this domain

canCreateLibrariesOfTypes
object[]

The types of library this user can create

defaultDomain
string

The user default domain

domain
string

The user domain

domainRoles
enum<string>[]

The domain level roles granted to this user

Available options:
SCRIPT_ADMIN
email
string

The user email

external
boolean

Whether this user is external

googleEmailAddress
boolean

Whether the email address is tied to a Google account

groupAliases
string[]

Aliases of the groups this user belongs to.

groups
string[]

The groups this user belongs to.

impersonable
boolean

Whether this user can be impersonated

kind
string
landingLabel
object
lastEdit
string<date-time>

The last time the user data has been edited

lastLogin
string<date-time>

The last time user logged in

locale
string

The preferred locale of the user

name
string

The user name

namespace
string

Immutable domain identifier

notifications
object[]

The user notification configurations per library and class

permissionIds
string[]

Permission ids this user has

standalone
boolean
superAdmin
boolean

Whether this user is a super administrator

thumbnailPictureUrl
string

The user thumbnail picture URL

timezone
string

The preferred timezone of the user

useDelayedVersion
boolean